## net.sf.saxon.trans
Class StringifyRuleSet

    java.lang.Object
      net.sf.saxon.trans.StringifyRuleSet

All Implemented Interfaces:
  Serializable, BuiltInRuleSet

    public class StringifyRuleSet

extends Object
implements BuiltInRuleSet

The built-in rule set used for 1.0 and 2.0, which for document and element nodes does an apply-templates to children, and for text nodes and attribute nodes copies the node.

See Also:
  Serialized Form

Method Summary
`static StringifyRuleSet` `getInstance()` Get the singleton instance of this class
`void` `process(NodeInfo node, ParameterSet parameters, ParameterSet tunnelParams, XPathContext context, int locationId)` Perform the built-in template action for a given node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static StringifyRuleSet getInstance()

  Get the singleton instance of this class

  Returns:
    the singleton instance

### process

    public void process(NodeInfo node,
                        ParameterSet parameters,
                        ParameterSet tunnelParams,
                        XPathContext context,
                        int locationId)
                 throws XPathException

  Perform the built-in template action for a given node.

  Specified by:
    `process` in interface `BuiltInRuleSet`
  Parameters:
    `node` - the node to be processed
    `parameters` - the parameters supplied to apply-templates
    `tunnelParams` - the tunnel parameters to be passed through
    `context` - the dynamic evaluation context
    `locationId` - location of the instruction (apply-templates, apply-imports etc) that caused the built-in template to be invoked
  Throws:
    `XPathException` - if any dynamic error occurs

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.